# Uses of Class
org.apache.avro.idl.IdlParser.FieldDeclarationContext

## Uses of IdlParser.FieldDeclarationContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.FieldDeclarationContext
Modifier and Type
Field
Description
`IdlParser.FieldDeclarationContext`
IdlParser.RecordBodyContext.`fieldDeclaration`
Fields in org.apache.avro.idl with type parameters of type IdlParser.FieldDeclarationContext
Modifier and Type
Field
Description
`List<IdlParser.FieldDeclarationContext>`
IdlParser.RecordBodyContext.`fields`
Methods in org.apache.avro.idl that return IdlParser.FieldDeclarationContext
Modifier and Type
Method
Description
`final IdlParser.FieldDeclarationContext`
IdlParser.`fieldDeclaration()`
`IdlParser.FieldDeclarationContext`
IdlParser.RecordBodyContext.`fieldDeclaration(int i)`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.FieldDeclarationContext
Modifier and Type
Method
Description
`List<IdlParser.FieldDeclarationContext>`
IdlParser.RecordBodyContext.`fieldDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.FieldDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterFieldDeclaration(IdlParser.FieldDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.fieldDeclaration()`.
`void`
IdlListener.`enterFieldDeclaration(IdlParser.FieldDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.fieldDeclaration()`.
`void`
IdlBaseListener.`exitFieldDeclaration(IdlParser.FieldDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.fieldDeclaration()`.
`void`
IdlListener.`exitFieldDeclaration(IdlParser.FieldDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.fieldDeclaration()`.